coreBOS OpenSourceBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000157coreBOSFunctionalitypublic2014-05-17 20:232017-08-16 21:31
Reporterjoebordes 
Assigned Tojoebordes 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.4 
Target Version5.5Fixed in Version 
Summary0000157: REST Enhancement: global search
Descriptionimplement a global search method so we can use that functionality in external REST based apps (coreBOSCP)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000126)
joebordes (manager)
2014-05-18 00:31

Fix committed to master branch. 913e528cdce5f30d42952e0c3633b3867a630f91
User avatar (0000141)
joebordes (manager)
2014-05-18 13:21

Example (coreBOSWSDevelopment): 332_globalSearch.php
User avatar (0000560)
joebordes (manager)
2017-08-16 21:31

Fix committed to master branch. 72841b8ba7a5ce2f46d3b2a4e7d5997b25c98b70

- Related Changesets
coreBOS: master 913e528c
Timestamp: 2014-05-18 00:31:19
Author: joebordes
Details ] Diff ]
fixes 0000150, fixes 0000151, fixes 0000152, fixes 0000153, fixes 0000154, fixes 0000155, fixes 0000156, fixes 0000157, fixes 0000158: REST Enhancements for coreBOSCustomer Portal
add - build/wsChanges/CPAuthenticateContact.php Diff ] File ]
add - build/wsChanges/CPChangePortalPassword.php Diff ] File ]
add - build/wsChanges/CPGetRESTUserDateFormat.php Diff ] File ]
add - build/wsChanges/CPGetRESTUserInfo.php Diff ] File ]
add - build/wsChanges/CPGetWSEntityID.php Diff ] File ]
add - build/wsChanges/CPGetWSReference.php Diff ] File ]
add - build/wsChanges/CPGlobalSearch.php Diff ] File ]
add - build/wsChanges/CPgetPicklistValues.php Diff ] File ]
add - build/wsChanges/CPgetUITypes.php Diff ] File ]
add - build/wsChanges/CPgetUsersInSameGroup.php Diff ] File ]
add - include/Webservices/CustomerPortalWS.php Diff ] File ]
coreBOS: master 6df535c3
Timestamp: 2014-05-18 13:19:10
Author: joebordes
Details ] Diff ]
security enhancements on REST global search: related to issue 0000157
mod - include/Webservices/CustomerPortalWS.php Diff ] File ]
coreBOS: master 72841b8b
Timestamp: 2017-08-16 21:30:18
Author: joebordes
Details ] Diff ]
fix(Campaigns) eliminate special status picklist in webservice related query and the warnings it was causing. fixes 0000157 Thanks John
mod - modules/Campaigns/Campaigns.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-17 20:23 joebordes New Issue
2014-05-17 20:23 joebordes Status new => assigned
2014-05-17 20:23 joebordes Assigned To => joebordes
2014-05-18 00:31 joebordes Changeset attached => coreBOS master 913e528c
2014-05-18 00:31 joebordes Note Added: 0000126
2014-05-18 00:31 joebordes Status assigned => resolved
2014-05-18 00:31 joebordes Resolution open => fixed
2014-05-18 13:19 joebordes Changeset attached => coreBOS master 6df535c3
2014-05-18 13:21 joebordes Note Added: 0000141
2017-08-16 21:31 joebordes Changeset attached => coreBOS master 72841b8b
2017-08-16 21:31 joebordes Note Added: 0000560


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker